<template>
  <v-col
    cols="2"
    lg="3"
    xl="2"
    md="4"
  >
    <v-row class="text-center">
      <v-col
        class="text-center"
      >
        <div
          align="middle"
        >
          <img
            class="itemsImages"
            style="cursor: pointer"
            :src="mouseOverCheck === image ? gif : image" 
            @mouseover="mouseOverCheck = image" 
            @mouseout="mouseOverCheck = ''"
          >
        </div>
      </v-col>
    </v-row>
    <v-row class="text-center tertiary--text">
      <v-col
        class=" font-weight-bold title"
      >
        {{ title }}
      </v-col>
    </v-row>
    <v-row class="text-center body-2 tertiary--text mt-n4">
      <v-col>{{ subtitle }}</v-col>
    </v-row>
  </v-col>
</template>
<script>
export default {
  props: {
    title: {
      type: String,
      default: ""
    },
    subtitle: {
      type: String,
      default: ""
    },
    image:{
      type: String,
      default: ""
    },
    gif:{
      type: String,
      default: ""
    },
    backgroundColorImage:{
      type:String,
      default:"#F4F5F6"
    }
  },
  data () {
    return {
      mouseOverCheck: ''
    }
  }  
}
</script>
<style lang="scss" scoped>
div.backgroundItemsImages{
    padding:20px;
    border-radius: 100px;
    height:150px;
    width:150px;
    margin:auto auto;
}
</style>
